## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class ResultCollector

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.ResultCollector

    public class ResultCollector

extends java.lang.Object

Author:
  Li Huang Bin to collect the proposal of the infrastructure on code assist in a SQL editor.

Constructor Summary
`ResultCollector()`

Method Summary
`void` `addOperator(SQLCompletionProposal completionProposal)`
`void` `addReservedKeyword(SQLCompletionProposal completionProposal)`
`void` `addUnreservedKeywordList(SQLCompletionProposal completionProposal)`
`void` `addVariable(SQLCompletionProposal completionProposal)`
`java.util.ArrayList` `getColumnList()`
`java.util.ArrayList` `getDatabaseList()`
`java.util.ArrayList` `getEventList()`
`java.util.ArrayList` `getFunctionList()`
`java.util.ArrayList` `getIndexList()`
`java.util.ArrayList` `getOtherList()`
`java.util.ArrayList` `getReservedKeywordList()`
`ISQLCompletionProposal[]` `getResults()` get the proposal results, sort by relevance.
`java.util.ArrayList` `getSegmentList()`
`java.util.ArrayList` `getStoredProcedureList()`
`java.util.ArrayList` `getTableList()`
`java.util.ArrayList` `getTriggerList()`
`java.util.ArrayList` `getUnreservedKeywordList()`
`java.util.ArrayList` `getVariableList()`
`java.util.ArrayList` `getViewList()`
`void` `setColumnList(java.util.ArrayList list)`
`void` `setDatabaseList(java.util.ArrayList list)`
`void` `setDBProposalList(java.util.ArrayList proposals, int scope)`
`void` `setEventList(java.util.ArrayList list)`
`void` `setFunctionList(java.util.ArrayList procedureList)`
`void` `setIndexList(java.util.ArrayList list)`
`void` `setOtherList(java.util.ArrayList list)`
`void` `setReservedKeywordList(java.util.ArrayList keywordList)`
`void` `setSegmentList(java.util.ArrayList list)`
`void` `setStoredProcedureList(java.util.ArrayList procedureList)`
`void` `setTableList(java.util.ArrayList list)`
`void` `setTriggerList(java.util.ArrayList list)`
`void` `setUnreservedKeywordList(java.util.ArrayList keywordList)`
`void` `setVariableList(java.util.ArrayList list)`
`void` `setViewList(java.util.ArrayList list)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultCollector

    public ResultCollector()

Method Detail

### getReservedKeywordList

    public java.util.ArrayList getReservedKeywordList()

  Returns:
    Returns the reservedKeywordList.

### setReservedKeywordList

    public void setReservedKeywordList(java.util.ArrayList keywordList)

  Parameters:
    `keywordList` - The reservedKeywordList to set.

### getUnreservedKeywordList

    public java.util.ArrayList getUnreservedKeywordList()

  Returns:
    Returns the unreservedKeywordList.

### setUnreservedKeywordList

    public void setUnreservedKeywordList(java.util.ArrayList keywordList)

  Parameters:
    `keywordList` - The unreservedKeywordList to set.

### getDatabaseList

    public java.util.ArrayList getDatabaseList()

  Returns:
    Returns the databaseList.

### setDatabaseList

    public void setDatabaseList(java.util.ArrayList list)

  Parameters:
    `list` - The databaseList to set.

### getEventList

    public java.util.ArrayList getEventList()

  Returns:
    Returns the eventList.

### setEventList

    public void setEventList(java.util.ArrayList list)

  Parameters:
    `list` - The eventList to set.

### getStoredProcedureList

    public java.util.ArrayList getStoredProcedureList()

  Returns:
    Returns the storedProcedureList.

### setStoredProcedureList

    public void setStoredProcedureList(java.util.ArrayList procedureList)

  Parameters:
    `procedureList` - The storedProcedureList to set.

### getFunctionList

    public java.util.ArrayList getFunctionList()

  Returns:
    Returns the storedProcedureList.

### setFunctionList

    public void setFunctionList(java.util.ArrayList procedureList)

  Parameters:
    `procedureList` - The storedProcedureList to set.

### getTableList

    public java.util.ArrayList getTableList()

  Returns:
    Returns the tableList.

### getViewList

    public java.util.ArrayList getViewList()

  Returns:
    the viewList.

### setTableList

    public void setTableList(java.util.ArrayList list)

  Parameters:
    `list` - The tableList to set.

### setViewList

    public void setViewList(java.util.ArrayList list)

  Parameters:
    `list` - The viewList to set.

### getTriggerList

    public java.util.ArrayList getTriggerList()

  Returns:
    Returns the triggerList.

### setTriggerList

    public void setTriggerList(java.util.ArrayList list)

  Parameters:
    `list` - The triggerList to set.

### getIndexList

    public java.util.ArrayList getIndexList()

  Returns:
    Returns the indexList.

### setIndexList

    public void setIndexList(java.util.ArrayList list)

  Parameters:
    `list` - The indexList to set.

### getColumnList

    public java.util.ArrayList getColumnList()

  Returns:
    Returns the columnList.

### setColumnList

    public void setColumnList(java.util.ArrayList list)

  Parameters:
    `list` - The columnList to set.

### getOtherList

    public java.util.ArrayList getOtherList()

  Returns:
    Returns the otherList.

### setOtherList

    public void setOtherList(java.util.ArrayList list)

  Parameters:
    `list` - The otherList to set.

### getSegmentList

    public java.util.ArrayList getSegmentList()

  Returns:
    Returns the segmentList.

### setSegmentList

    public void setSegmentList(java.util.ArrayList list)

  Parameters:
    `list` - The segmentList to set.

### addReservedKeyword

    public void addReservedKeyword(SQLCompletionProposal completionProposal)

### addUnreservedKeywordList

    public void addUnreservedKeywordList(SQLCompletionProposal completionProposal)

### getVariableList

    public java.util.ArrayList getVariableList()

  Returns:
    Returns the variableList.

### setVariableList

    public void setVariableList(java.util.ArrayList list)

  Parameters:
    `list` - The variableList to set.

### addVariable

    public void addVariable(SQLCompletionProposal completionProposal)

### addOperator

    public void addOperator(SQLCompletionProposal completionProposal)

### getResults

    public ISQLCompletionProposal[] getResults()

  get the proposal results, sort by relevance.

  Returns:
    SQLCompletionProposal[]

### setDBProposalList

    public void setDBProposalList(java.util.ArrayList proposals,
                                  int scope)